import 'package:fis_ui/index.dart';
import 'package:flutter/material.dart';
import 'package:flyinsono/architecture/router/index.dart';

///未经授权页面
class UnauthorizedPage extends FStatelessWidget {
  const UnauthorizedPage({Key? key}) : super(key: key);

  @override
  FWidget build(BuildContext context) {
    return FScaffold(
      appBar: FAppBar(
        title: const FText("Unauthorized"),
        backgroundColor: Colors.white,
        actions: [
          FCloseButton(
            onPressed: () {
              router.back();
            },
          )
        ],
      ),
      body: FSafeArea(
        child: FCenter(
          child: FText(
            "Unauthorized",
            style: TextStyle(
              fontSize: 32,
              color: Colors.red,
            ),
          ),
        ),
      ),
    );
  }
}
